Bug 265741 - Muon updater fails after is opened when there are pending updates from a previous repository refresh and a newer version of one of those packages is present in a repository
Summary: Muon updater fails after is opened when there are pending updates from a prev...
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: Updates (interactive) (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Jonathan Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-07 23:48 UTC by Alvaro Manuel Recio Perez
Modified: 2016-03-02 13:25 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alvaro Manuel Recio Perez 2011-02-07 23:48:49 UTC
Version:           0.2 (using KDE 4.6.0) 
OS:                Linux

Please bear with me as this is a rather difficult bug to explain and reproduce.

The problem appears when there are pending updates after a repository refresh (apt-get update), those updates are not applied and, later, Muon updater is opened (it will show the updated packages), the repositories are updated again and a newer version of one of the pending packages is found.

My personal theory is that Muon updater still tries to mark the old packages which are now not present in the repositories, as a newer version of them was released. Anyway, I don't know Muon internals, so I could be completely wrong.

Reproducible: Always

Steps to Reproduce:
1. Add a frequently update repository to "Software sources" (for example, Chromium Daily PPA, https://launchpad.net/~chromium-daily/+archive/ppa).
2. Reload the repositories (apt-get update).
3. Hopefully, there will be pending updates. Muon will report them.
4. Don't reload the repositories until there are newer version of those packages (Chromium Daily should publish new packages every day).
5. Without reloading, open Muon updater. It will show the same old pending updates.
6. Refresh the repositories from Muon updater (Check for Updates).

Actual Results:  
Muon updater will show an error dialog (the following is an approximate translation from the Spanish version):

"The package system couldn't be started. Your configuration may be defective.
Details:
A file for package $PACKAGE couldn't be located. This could mean that you will have to manually fix that package."

("El sistema de paquetes no se ha podido iniciar. Su configuración puede estar defectuosa.
Detalles:
No se pudo localizar un archivo para el paquete $PACKAGE. Esto puede significar que necesita arreglar manualmente este paquete.")

Expected Results:  
Muon updater should have suggested the newer version of the package as an update candidate without showing an error message as the update can be performed the next time Muon is opened.

OS: Linux (x86_64) release 2.6.35-25-generic
Compiler: cc
Comment 1 Jonathan Thomas 2011-02-09 15:47:43 UTC
This is an issue with APT itself not being able to open the package cache. I would recommend reporting this bug at Launchpad: https://bugs.launchpad.net/ubuntu/+source/apt/
Comment 2 Alvaro Manuel Recio Perez 2011-02-09 16:12:37 UTC
Thanks for your prompt reply, as usual.

I would like to report this bug but can you give me some advice on how to do it properly? You mention is an issue with APT opening the package cache, should I report it as related to Muon or can this problem be triggered using only apt-get?

Thank you!
Comment 3 Jonathan Thomas 2011-02-09 16:19:21 UTC
The report as given here should be sufficient.
Comment 4 Alvaro Manuel Recio Perez 2011-02-10 20:05:29 UTC
Reported in Launchpad: https://bugs.launchpad.net/ubuntu/+source/apt/+bug/716599.
Comment 5 Jonathan Thomas 2011-05-13 09:21:01 UTC
Git commit 3aa80a517eea55cc3963f226f6e6f7f09fc888ec by Jonathan Thomas.
Committed on 13/05/2011 at 09:19.
Pushed by jmthomas into branch 'master'.

Innocuous errors can occur at certain times during the execution of downloadSize() can
cause initialization errors, so discard all errors incurred in this function.

BUG:265741

M  +9    -0    src/backend.cpp     

http://commits.kde.org/libqapt/3aa80a517eea55cc3963f226f6e6f7f09fc888ec
Comment 6 Jonathan Thomas 2011-05-13 09:23:34 UTC
Git commit 794e2f3fe27739261ac751479a7de3ef3304d585 by Jonathan Thomas.
Committed on 13/05/2011 at 09:19.
Pushed by jmthomas into branch '1.1'.

Innocuous errors can occur at certain times during the execution of downloadSize() can
cause initialization errors, so discard all errors incurred in this function.

BUG:265741

M  +9    -0    src/backend.cpp     

http://commits.kde.org/libqapt/794e2f3fe27739261ac751479a7de3ef3304d585